Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.xml
Class XMLWriterNamespaceManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.writer.xml.XMLWriterNamespaceManager

    public class XMLWriterNamespaceManager

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Apr 8, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`XMLWriterNamespaceManager(String defaultNamespace)`

Method Summary
`void` | `createPrefixForNamespace(String namespace)`
`String` | `getDefaultNamespace()`
`String` | `getNamespaceForPrefix(String prefix)`
`Collection` | `getNamespaces()`
`Collection` | `getPrefixes()`
`String` | `getPrefixForNamespace(String namespace)`
`void` | `setPrefix(String prefix, String namespace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLWriterNamespaceManager

    public XMLWriterNamespaceManager(String defaultNamespace)

Method Detail

### setPrefix

    public void setPrefix(String prefix,
                          String namespace)

### getPrefixForNamespace

    public String getPrefixForNamespace(String namespace)

### getNamespaceForPrefix

    public String getNamespaceForPrefix(String prefix)

### createPrefixForNamespace

    public void createPrefixForNamespace(String namespace)

### getDefaultNamespace

    public String getDefaultNamespace()

### getPrefixes

    public Collection getPrefixes()

### getNamespaces

    public Collection getNamespaces()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.